Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Professional Is there any way to downgrade the RC from FW 1.5.XXX?

Discussion in 'Phantom 3 Help' started by Rob Robertson, Dec 8, 2015.

Tags:
  1. Rob Robertson

    Joined:
    Jun 24, 2015
    Messages:
    75
    Likes Received:
    44
    I see where you can downgrade the copter back to 1.4.10, but I don't see a way to go back to 1.4.10 or even 1.3.(something) on the RC.

    With DJI Go in control and the USB port no longer an option for loading firmware, how is it done?

    I am trying to help someone who wants to use an older version of a third party app for the P3P, but who accidentally let DJI Go update the RC to version 1.5.7

    Is there any way to undo this? Even an unconventional way?

    I looked at this thread possible solution to downgrade the firmware... | DJI Phantom Forum, but it was written before 1.5 came out. I don't know if the RC will read from the USB port in order to read the bin file that is supposed to reset it.

    If so, is there anything from stopping a person from using that bin file, deleting DJI Go, and installing a backup of an older version of Pilot, so that Go doesn't interfere with loading an older firmware from the USB port, and then loading version 1.4.10 or even going back to version 1.3.2.

    The copter is fine sitting at 1.4.10. The RC got the update, which prohibits the use of older versions of any apps, which is something I want to help them get around.

    Does anyone have a tested solution for this?

    Thanks
     
  2. bbfpv

    Joined:
    Feb 3, 2015
    Messages:
    3,744
    Likes Received:
    1,092
    Location:
    Long Island, NY
    Pretty sure Rev A controllers can be updated via the USB port. Rev B's are in-app only.
     
  3. Rob Robertson

    Joined:
    Jun 24, 2015
    Messages:
    75
    Likes Received:
    44
    Since that unit has been upgraded in the past using the USB port, I guess I have to assume it is a Rev. A, correct?

    Does that mean I won't have a problem doing as I stated in my first post, or are there issues I haven't thought of?
     
  4. bbfpv

    Joined:
    Feb 3, 2015
    Messages:
    3,744
    Likes Received:
    1,092
    Location:
    Long Island, NY
    I've not tried it. Check the release notes for the FW you have on the controller, it'll tell you whether it's able to be reverted to a prior version.
     
  5. Rob Robertson

    Joined:
    Jun 24, 2015
    Messages:
    75
    Likes Received:
    44
    I don't think what I want to do is officially sanctioned by DJI and would not be in their release notes
     
  6. Mordor

    Joined:
    Jul 27, 2015
    Messages:
    639
    Likes Received:
    114
    The answer to this question is the golden one....

    I wish i could erase this stupid 1.5FW from my P3A.......
     
  7. FredzMaxxUAV

    Approved Vendor

    Joined:
    Jun 25, 2015
    Messages:
    566
    Likes Received:
    121
    It seems impossible to downgrade from 1.5.70 on the RC to earlier versions, even on the GL300A. I tried and tried, but to no avail.
    I'll just swap my controller now ;-)
     
  8. aka1ceman

    Joined:
    Nov 10, 2015
    Messages:
    461
    Likes Received:
    175
    Problem is, the last controller I picked up already has the new firmware 1.5 on it. It might be easier to find an older, old motor p3.
     
  9. FredzMaxxUAV

    Approved Vendor

    Joined:
    Jun 25, 2015
    Messages:
    566
    Likes Received:
    121
    I fortunately have a GL300B with 1.1.9 or 1.3.2 lying around :) It's a thing to cherish it seems.
     
    Mordor likes this.
  10. FredzMaxxUAV

    Approved Vendor

    Joined:
    Jun 25, 2015
    Messages:
    566
    Likes Received:
    121
    You mean Litchi 2.3.1? :)
     
  11. Rob Robertson

    Joined:
    Jun 24, 2015
    Messages:
    75
    Likes Received:
    44